#include <allegro.h>
#include <stdio.h>

#include "synthesizer.h"
#include "sound.h"

int main() 
{	
	allegro_init();
	install_keyboard();
	
	install_sound(DIGI_AUTODETECT,MIDI_AUTODETECT,0);
	
	set_color_depth(32);
	set_gfx_mode(GFX_AUTODETECT_WINDOWED, 640, 700, 0, 0);
	
	BITMAP *buffer = create_bitmap(640, 700);
	
	char vol[] = {50, 50, 40, 0};

SAMPLE* s;
s = create_sample(8,0,44100,44100*100);



    Tone t[100];
    t[0] = CreateTone(29, 0, 60000);
    t[1] = CreateTone(29, 0, 60000);
    
    Tone t2[100];
    t2[0] = CreateTone(29, 128, 20000);
    t2[1] = CreateTone(33, 0, 40000);
    t2[2] = CreateTone(33, 0, 60000);
    
    Tone t3[100];
    t3[0] = CreateTone(29, 128, 40000);
    t3[1] = CreateTone(36, 0, 20000);
    t3[2] = CreateTone(36, 0, 60000);
    
    Tone t4[100];
    	
	/*Tone t[100];
    t[0] = CreateTone(29,vol[0],20000);
    t[1] = CreateTone(26,vol[1],40000);
    t[2] = CreateTone(31,vol[2],50000);
    t[3] = CreateTone(31,vol[3],60000);
    
    Tone t2[100];
    t2[0] = CreateTone(33,vol[0],40000);
    t2[1] = CreateTone(29,vol[1],40000);
    t2[2] = CreateTone(35,vol[2],40000);
    t2[3] = CreateTone(36,vol[3],40000);
    
    Tone t3[100];
    t3[0] = CreateTone(36,vol[0],40000);
    t3[1] = CreateTone(33,vol[1],40000);
    t3[2] = CreateTone(38,vol[2],40000);
    t3[3] = CreateTone(40,vol[3],40000);
    
    Tone t4[100];
    t4[0] = CreateTone(41,vol[0],40000);
    t4[1] = CreateTone(38,vol[1],40000);
    t4[2] = CreateTone(41,vol[2],40000);
    t4[3] = CreateTone(43,vol[3],40000);*/

	Stream str[4];
	str[0] = CreateStream(t,2);
	str[1] = CreateStream(t2, 3);
	str[2] = CreateStream(t3,3);
	str[3] = CreateStream(t4, 0);
	PolyStream ps = CreatePolyStream(str,2);

    PolyStream psat = GetAllaTurca();

	for(int i = 0; i < s->len; i++)
	{
	   //((char*)s->data)[i] = GetTone(&str) - 128;
	   ((char*)s->data)[i] = GetPWM(&psat);
	   //printf("%d\n", (int)((char*)s->data)[i]);
	   //printf("%d\n", (int)GetPWM(&ps));
	   //printf("%d\n", (int)(GetTone(&str) - 128));
    }
	
	play_sample(s, 255, 128, 1000,0);
	readkey();
	
	
	destroy_bitmap(buffer);
	
	return 0;
}
END_OF_MAIN();
